diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
index 16294466..0bbf66a1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
@@ -759,15 +762,15 @@ define('pgadmin.node.exclusion_constraint', [
               },10);
               return true;
             }
-          }
+          },
         },{
           id: 'constraint', label: gettext('Constraint'), cell: 'string',
           type: 'multiline', mode: ['create', 'edit'], editable: false,
           group: gettext('Definition'), disabled: function(m) {
             return ((_.has(m, 'handler') &&
               !_.isUndefined(m.handler) &&
-              !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
-          }
+                !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
+          },
         },{
           id: 'columns', label: gettext('Columns'),
           type: 'collection', group: gettext('Columns'),
@@ -776,14 +779,14 @@ define('pgadmin.node.exclusion_constraint', [
             // We can't update columns of existing exclusion constraint.
             return !((_.has(m, 'handler') &&
               !_.isUndefined(m.handler) &&
-              !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
+                !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
           },
           control: ExclusionConstraintColumnControl,
           model: ExclusionConstraintColumnModel,
           disabled: function(m) {
             return ((_.has(m, 'handler') &&
               !_.isUndefined(m.handler) &&
-              !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
+                !_.isUndefined(m.get('oid'))) || (_.isFunction(m.isNew) && !m.isNew()));
           },
           cell: Backgrid.StringCell.extend({
             initialize: function() {
@@ -804,10 +807,10 @@ define('pgadmin.node.exclusion_constraint', [
             },
             removeColumnWithType: function(m){
               var self = this,
-                  cols = self.model.get('columns'),
-                  removedCols = cols.where(
-                    {col_type: m.previous('cltype')}
-                    );
+                cols = self.model.get('columns'),
+                removedCols = cols.where(
+                  {col_type: m.previous('cltype')}
+                );
 
               cols.remove(removedCols);
               setTimeout(function () {
@@ -815,11 +818,11 @@ define('pgadmin.node.exclusion_constraint', [
               }, 10);
 
               setTimeout(function () {
-                var constraints = self.model.top.get("exclude_constraint");
+                var constraints = self.model.top.get('exclude_constraint');
                 var removed = [];
                 constraints.each(function(constraint) {
-                  if (constraint.get("columns").length == 0) {
-                     removed.push(constraint);
+                  if (constraint.get('columns').length == 0) {
+                    removed.push(constraint);
                   }
                 });
                 constraints.remove(removed);
@@ -827,9 +830,9 @@ define('pgadmin.node.exclusion_constraint', [
             },
             removeColumn: function(m){
               var self = this,
-                  removedCols = self.model.get('columns').where(
-                    {column: m.get('name')}
-                    );
+                removedCols = self.model.get('columns').where(
+                  {column: m.get('name')}
+                );
 
               self.model.get('columns').remove(removedCols);
               setTimeout(function () {
@@ -837,49 +840,47 @@ define('pgadmin.node.exclusion_constraint', [
               }, 10);
 
               setTimeout(function () {
-                var constraints = self.model.top.get("exclude_constraint");
+                var constraints = self.model.top.get('exclude_constraint');
                 var removed = [];
                 constraints.each(function(constraint) {
-                  if (constraint.get("columns").length == 0) {
-                     removed.push(constraint);
+                  if (constraint.get('columns').length == 0) {
+                    removed.push(constraint);
                   }
                 });
                 constraints.remove(removed);
               },100);
             },
             resetColOptions : function(m) {
-                var self = this,
-                  updatedCols = self.model.get('columns').where(
-                  {"column": m.previous('name')}
-                  );
+              var self = this,
+                updatedCols = self.model.get('columns').where(
+                  {'column': m.previous('name')}
+                );
 
-                if (updatedCols.length > 0) {
-                  /*
-                   * Table column name has changed so update
-                   * column name in foreign key as well.
-                   */
-                  updatedCols[0].set(
-                  {"column": m.get('name')});
-                }
+              if (updatedCols.length > 0) {
+                /*
+                 * Table column name has changed so update
+                 * column name in foreign key as well.
+                 */
+                updatedCols[0].set(
+                  {'column': m.get('name')});
+              }
 
-                setTimeout(function () {
-                  self.render();
-                }, 10);
+              setTimeout(function () { self.render(); }, 10);
             },
             formatter: {
-              fromRaw: function (rawValue, model) {
-                return rawValue.pluck("column").toString();
+              fromRaw: function (rawValue) {
+                return rawValue.pluck('column').toString();
               },
-              toRaw: function (val, model) {
+              toRaw: function (val) {
                 return val;
-              }
+              },
             },
             render: function() {
               return Backgrid.StringCell.prototype.render.apply(this, arguments);
             },
             remove: function() {
               var tableCols = this.model.top.get('columns'),
-                  cols = this.model.get('columns');
+                cols = this.model.get('columns');
               if (cols) {
                 cols.off('pgadmin:columns:updated');
               }
@@ -889,61 +890,63 @@ define('pgadmin.node.exclusion_constraint', [
               this.stopListening(tableCols, 'change:cltype' , self.removeColumnWithType);
 
               Backgrid.StringCell.prototype.remove.apply(this, arguments);
-            }
+            },
           }),
         }],
         validate: function() {
           this.errorModel.clear();
           var columns = this.get('columns'),
-              name = this.get('name');
+            name = this.get('name'),
+            msg;
 
           if ((_.isUndefined(name) || _.isNull(name) || name.length < 1)) {
-            var msg = gettext('Please specify name for exclusion constraint.');
+            msg = gettext('Please specify name for exclusion constraint.');
             this.errorModel.set('name', msg);
             return msg;
-          }
-          else  if ((_.isUndefined(columns) || _.isNull(columns) || columns.length < 1)) {
-            var msg = gettext('Please specify columns for exclusion constraint.');
+          } else  if (
+            (_.isUndefined(columns) || _.isNull(columns) || columns.length < 1)
+          ) {
+            msg = gettext('Please specify columns for exclusion constraint.');
             this.errorModel.set('columns', msg);
             return msg;
           }
 
           return null;
-        }
+        },
       }),
 
       canCreate: function(itemData, item, data) {
-          // If check is false then , we will allow create menu
-          if (data && data.check == false)
-            return true;
-
-          var t = pgBrowser.tree, i = item, d = itemData, parents = [],
-            immediate_parent_table_found = false,
-            is_immediate_parent_table_partitioned = false;
-          // To iterate over tree to check parent node
-          while (i) {
-            // If table is partitioned table then return false
-            if (!immediate_parent_table_found && (d._type == 'table' || d._type == 'partition')) {
-              immediate_parent_table_found = true;
-              if ('is_partitioned' in d && d.is_partitioned) {
-                is_immediate_parent_table_partitioned = true;
-              }
-            }
+              // If check is false then , we will allow create menu
+        if (data && data.check == false)
+          return true;
 
-            // If it is schema then allow user to create table
-            if (_.indexOf(['schema'], d._type) > -1)
-              return !is_immediate_parent_table_partitioned;
-            parents.push(d._type);
-            i = t.hasParent(i) ? t.parent(i) : null;
-            d = i ? t.itemData(i) : null;
+        var t = pgBrowser.tree, i = item, d = itemData, parents = [],
+          immediate_parent_table_found = false,
+          is_immediate_parent_table_partitioned = false;
+              // To iterate over tree to check parent node
+        while (i) {
+              // If table is partitioned table then return false
+          if (!immediate_parent_table_found && (d._type == 'table' || d._type == 'partition')) {
+            immediate_parent_table_found = true;
+            if ('is_partitioned' in d && d.is_partitioned) {
+              is_immediate_parent_table_partitioned = true;
+            }
           }
-          // If node is under catalog then do not allow 'create' menu
-          if (_.indexOf(parents, 'catalog') > -1) {
-            return false;
-          } else {
+
+              // If it is schema then allow user to create table
+          if (_.indexOf(['schema'], d._type) > -1)
             return !is_immediate_parent_table_partitioned;
-          }
-      }
+          parents.push(d._type);
+          i = t.hasParent(i) ? t.parent(i) : null;
+          d = i ? t.itemData(i) : null;
+        }
+              // If node is under catalog then do not allow 'create' menu
+        if (_.indexOf(parents, 'catalog') > -1) {
+          return false;
+        } else {
+          return !is_immediate_parent_table_partitioned;
+        }
+      },
     });
   }
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
index eabd8689..4997d175 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
@@ -1,69 +1,72 @@
 define('pgadmin.node.foreign_key', [
-  'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'sources/pgadmin', 'pgadmin.browser', 'pgadmin.alertifyjs',
-  'pgadmin.browser.collection'
-], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, alertify) {
+  'sources/gettext', 'sources/url_for', 'jquery', 'underscore', 'backbone',
+  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.alertifyjs',
+  'pgadmin.backform', 'pgadmin.backgrid', 'pgadmin.browser.collection',
+], function(
+  gettext, url_for, $, _, Backbone, pgAdmin, pgBrowser, Alertify, Backform,
+  Backgrid
+) {
 
   var formatNode = function(opt) {
-        if (!opt.id) {
-          return opt.text;
-        }
+      if (!opt.id) {
+        return opt.text;
+      }
 
-        var optimage = $(opt.element).data('image');
+      var optimage = $(opt.element).data('image');
 
-        if(!optimage) {
-          return opt.text;
-        } else {
-          return $(
-            '<span><span class="wcTabIcon ' + optimage + '"/>' + opt.text + '</span>'
-          );
-        }
-      },
-      headerSelectControlTemplate = _.template([
-        '<div class="<%=Backform.controlsClassName%> <%=extraClasses.join(\' \')%>">',
-        '  <select class="pgadmin-node-select form-control" name="<%=name%>" style="width:100%;" value="<%-value%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> >',
-        '    <%=select2.first_empty ? " <option></option>" : ""%>',
-        '    <% for (var i=0; i < options.length; i++) { %>',
-        '    <% var option = options[i]; %>',
-        '    <option <% if (option.image) { %> data-image=<%= option.image %> <% } %> value=<%= formatter.fromRaw(option.value) %> <%=option.value === rawValue ? "selected=\'selected\'" : "" %>><%-option.label%></option>',
-        '    <% } %>',
-        '  </select>',
-        '</div>'].join("\n")
+      if(!optimage) {
+        return opt.text;
+      } else {
+        return $(
+        '<span><span class="wcTabIcon ' + optimage + '"/>' + opt.text + '</span>'
       );
+      }
+    },
+    headerSelectControlTemplate = _.template([
+      '<div class="<%=Backform.controlsClassName%> <%=extraClasses.join(\' \')%>">',
+      '  <select class="pgadmin-node-select form-control" name="<%=name%>" style="width:100%;" value="<%-value%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> >',
+      '    <%=select2.first_empty ? " <option></option>" : ""%>',
+      '    <% for (var i=0; i < options.length; i++) { %>',
+      '    <% var option = options[i]; %>',
+      '    <option <% if (option.image) { %> data-image=<%= option.image %> <% } %> value=<%= formatter.fromRaw(option.value) %> <%=option.value === rawValue ? "selected=\'selected\'" : "" %>><%-option.label%></option>',
+      '    <% } %>',
+      '  </select>',
+      '</div>'].join('\n')
+    );
 
   var ForeignKeyColumnModel = pgBrowser.Node.Model.extend({
     defaults: {
       local_column: undefined,
       references: undefined,
-      referenced: undefined
+      referenced: undefined,
     },
     schema: [{
-        id: 'local_column', label: gettext('Local'), type:'text', editable: false,
-        cellHeaderClasses: 'width_percent_50', cell:'string',
-        headerCell: Backgrid.Extension.CustomHeaderCell
-      },{
-        id: 'referenced', label: gettext('Referenced'), type: 'text', editable: false,
-        cell:'string', cellHeaderClasses: 'width_percent_50',
-        headerCell: Backgrid.Extension.CustomHeaderCell
-      }]
+      id: 'local_column', label: gettext('Local'), type:'text', editable: false,
+      cellHeaderClasses: 'width_percent_50', cell:'string',
+      headerCell: Backgrid.Extension.CustomHeaderCell,
+    },{
+      id: 'referenced', label: gettext('Referenced'), type: 'text', editable: false,
+      cell:'string', cellHeaderClasses: 'width_percent_50',
+      headerCell: Backgrid.Extension.CustomHeaderCell,
+    }],
   });
 
   var ForeignKeyColumnControl =  Backform.ForeignKeyColumnControl =
     Backform.UniqueColCollectionControl.extend({
 
-    initialize: function(opts) {
-      Backform.UniqueColCollectionControl.prototype.initialize.apply(
-        this, arguments
-          );
+      initialize: function() {
+        Backform.UniqueColCollectionControl.prototype.initialize.apply(
+          this, arguments
+        );
 
-      var self = this,
-        node = 'foreign_key',
-        headerSchema = [{
-          id: 'local_column', label:'', type:'text',
-          node: 'column', control: Backform.NodeListByNameControl.extend({
-            initialize: function() {
-              // Here we will decide if we need to call URL
-              // Or fetch the data from parent columns collection
+        var self = this,
+          node = 'foreign_key',
+          headerSchema = [{
+            id: 'local_column', label:'', type:'text',
+            node: 'column', control: Backform.NodeListByNameControl.extend({
+              initialize: function() {
+                // Here we will decide if we need to call URL
+                // Or fetch the data from parent columns collection
                 if(self.model.handler) {
                   Backform.Select2Control.prototype.initialize.apply(this, arguments);
                   // Do not listen for any event(s) for existing constraint.
